
/* Chrysalide - Outil d'analyse de fichiers binaires
 * func-int.h - prototypes internes pour la définition d'une fonction ciblant une propriété pendant un scan
 *
 * Copyright (C) 2022 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _ANALYSIS_SCAN_FUNC_INT_H
#define _ANALYSIS_SCAN_FUNC_INT_H


#include "func.h"


#include "item-int.h"



/* Fonction apportant un support d'analyse pendant un scan (instance) */
struct _GScanFunction
{
    GRegisteredItem parent;                 /* A laisser en premier        */

};

/* Fonction apportant un support d'analyse pendant un scan (classe) */
struct _GScanFunctionClass
{
    GRegisteredItemClass parent;            /* A laisser en premier        */

};



#endif  /* _ANALYSIS_SCAN_FUNC_INT_H */
